# Generated by Django 2.2.15 on 2020-08-06 11:23

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
    ]

    operations = [
        migrations.CreateModel(
            name='CatalogItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('app_code', models.CharField(help_text='Application that this catalog item belongs to.', max_length=15, verbose_name='Application Code')),
                ('item_code', models.CharField(help_text='Item code used within the Django app', max_length=80)),
                ('cashnet_code', models.CharField(help_text='Item code as defined in Cashnet', max_length=80)),
                ('gl', models.CharField(blank=True, default=None, help_text='GL code in Cashnet (usually blank)', max_length=128, null=True)),
                ('description', models.CharField(help_text='Description of the item', max_length=128)),
                ('amount', models.DecimalField(decimal_places=2, help_text='Price of this item', max_digits=6)),
                ('sale_amount', models.DecimalField(blank=True, decimal_places=2, default=None, help_text='Reduced price of this item', max_digits=6, null=True)),
                ('sale_start_date', models.DateTimeField(blank=True, null=True)),
                ('sale_end_date', models.DateTimeField(blank=True, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='Transaction',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('app_code', models.CharField(help_text='Application that this transaction belongs to.', max_length=15, verbose_name='Application Code')),
                ('customer_username', models.CharField(db_index=True, max_length=30)),
                ('customer_psu_id', models.CharField(db_index=True, max_length=9)),
                ('customer_name', models.CharField(max_length=120)),
                ('merchant_code', models.CharField(max_length=30)),
                ('secret_key', models.CharField(blank=True, default=None, max_length=80, null=True)),
                ('status_code', models.CharField(default='N', help_text='Status of the transaction', max_length=1)),
                ('initiation_date', models.DateTimeField(blank=True, null=True)),
                ('response_date', models.DateTimeField(blank=True, null=True)),
                ('term_code', models.CharField(blank=True, default=None, help_text='Optional term code', max_length=6, null=True)),
                ('success_url', models.CharField(help_text='URL name to redirect to after successful payment', max_length=80)),
                ('failure_url', models.CharField(help_text='URL name to redirect to after incomplete payment', max_length=80)),
                ('reference_class', models.CharField(blank=True, default=None, help_text='If transaction is linked to another Django model', max_length=80, null=True)),
                ('reference_id', models.IntegerField(blank=True, default=None, help_text='If transaction is linked to another Django model', null=True)),
                ('cashnet_result_code', models.IntegerField(blank=True, default=None, help_text='Result from cashnet. 0 is success. All others are failure.', null=True)),
                ('cashnet_result_message', models.CharField(blank=True, default=None, max_length=128, null=True)),
                ('cashnet_error_code', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('cashnet_error_message', models.CharField(blank=True, default=None, max_length=128, null=True)),
                ('cashnet_transaction', models.CharField(blank=True, default=None, max_length=30, null=True)),
                ('cashnet_batch', models.CharField(blank=True, default=None, max_length=30, null=True)),
            ],
        ),
        migrations.CreateModel(
            name='PurchasedItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('date_created', models.DateTimeField(auto_now_add=True)),
                ('last_updated', models.DateTimeField(auto_now=True)),
                ('purchase_amount', models.DecimalField(decimal_places=2, help_text='Price paid for this item', max_digits=6)),
                ('catalog_item', models.ForeignKey(on_delete=django.db.models.deletion.DO_NOTHING, to='psu_cashnet.CatalogItem')),
                ('transaction', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='psu_cashnet.Transaction')),
            ],
        ),
    ]
